Summary:        The utility to manipulate machine owner keys
Name:           mokutil
Version:        0.6.0
Release:        7%{?dist}
License:        GPLv3+
URL:            https://github.com/lcp/mokutil
Source0:        https://github.com/lcp/mokutil/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch3000:      0001-Show-usage-instead-of-aborting-on-bad-flags.patch
Patch3001:      0002-mokutil-bugfix-del-unused-opt-s.patch
Patch3002:      0003-Fix-leak-of-list-in-delete_data_from_req_var.patch
Patch3003:      0004-Fix-leak-of-fd-in-mok_get_variable.patch

ExclusiveArch:  x86_64 aarch64 loongarch64

BuildRequires:  autoconf automake gcc make
BuildRequires:  efivar-devel >= 31-1
BuildRequires:  git gnu-efi keyutils-libs-devel openssl openssl-devel

%description
The utility to manipulate machines owner keys which managed in shim.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc README
%{_bindir}/mokutil
%{_mandir}/man1/*
%{_datadir}/bash-completion/completions/mokutil

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-6
- Rebuilt for loongarch release

* Tue Nov  7 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 0.6.0-5
- fix build error for mokutil

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 31 2022 ZoeDong <zoedong@tencent.com> - 0.6.0-1
- Initial build

